# std::type_index::hash_code

From cppreference.com
< cpp‎ | types‎ | type index

std::size_t hash_code() const; |  | (since C++11) (until C++14)
std::size_t hash_code() const noexcept; |  | (since C++14)

Returns the hash code of the associated std::type_info object. Equivalent to calling `type_info::hash_code` directly.

### Parameters

(none)

### Return value

The hash code of the associated type_info object.

### Example

| This section is incomplete Reason: no example

### See also

std::hash<std::type_index> (C++11) | hash support for std::type_index (class template specialization)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/types/type_index/hash_code&oldid=110155"